SXACL-VOLPERM(1)

NAME
sxacl-volperm - manage volume permissions

SYNOPSIS
sxacl volperm [OPTIONS] <username> sx://[profile@]cluster/volume

DESCRIPTION
sxacl volperm manages volume permissions for a specific user. It can be used to grant or revoke read/write access, or to grant the manager privilege. Only volume owners and cluster administrators can change volume permissions.

OPTIONS

-h, --help
    Print help and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

--grant=<privilege>
    Grant a privilege on the volume to the user. The accepted values are "read", "write", "manager" or a combination of the privileges.

--revoke=<privilege>
    Revoke a privilege on the volume from the user. The accepted values are "read", "write", "manager" or a combination of the privileges.

-c, --config-dir=PATH
    Path to the SX configuration directory (default: ~/.sx)

-D, --debug
    Enable debug messages.

EXAMPLES
To grant user 'joe' full access to all files inside the volume 'data' run:
sxacl volperm --grant=read,write joe sx://admin@cluster/data
To make sure user 'joe' has only read-access to the volume 'data' run:
sxacl volperm --grant=read --revoke=write joe sx://admin@cluster/data

SEE ALSO
sxacl-volshow(1)